# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-Params-Check
Version:	0.32
Release:	1.%{__distinit}%{__distvers}
Summary:	Generic input parsing/checking mechanism
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Params-Check/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/Params-Check-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Locale::Maketext::Simple)
BuildRequires:	perl(Test::More)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Params::Check is a generic input parsing/checking mechanism.

%prep
%setup -q -n Params-Check-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/Params/
%{_mandir}/man3/Params::Check.3pm*

%changelog
* Mon Aug  8 2011 Paul Howarth <paul@city-fan.org> 0.32-1
- Update to 0.32
  - Removed unnecessary use of Data::Dumper

* Tue Jul 26 2011 Paul Howarth <paul@city-fan.org> 0.30-2
- Rebuild for perl 5.14.1 in Rawhide

* Tue Jul 26 2011 Paul Howarth <paul@city-fan.org> 0.30-1
- Update to 0.30
  - WARNINGS_FATAL should apply to all check() failures now (CPAN RT#69626)
- Fix dist tag for CentOS 6 and Scientific Linux
- Nobody else likes macros for commands

* Mon Jan 10 2011 Paul Howarth <paul@city-fan.org> 0.28-1
- Update to 0.28 (fixes for bleadperl)
- This release by BINGOS -> update source URL

* Wed Dec  8 2010 Paul Howarth <paul@city-fan.org> 0.26-3
- Import from Fedora

* Mon Dec 31 2007 Ralf Corsépius <rc040203@freenet.de> 0.26-2
- BR: perl(Test::More) (BZ 419631)
- Adjust License-tag

* Fri Mar 23 2007 Steven Pritchard <steve@kspei.com> 0.26-1
- Update to 0.26
- Use fixperms macro instead of our own chmod incantation
- BR ExtUtils::MakeMaker

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.25-2
- Fix find option order

* Fri Jul 07 2006 Steven Pritchard <steve@kspei.com> 0.25-1
- Update to 0.25

* Thu Mar 23 2006 Steven Pritchard <steve@kspei.com> 0.24-1
- Specfile autogenerated by cpanspec 1.62
- Fix License
- Drop explicit Requires: perl(Locale::Maketext::Simple)
- Clean up Summary a little
